Bug 114182 - FILESAVE XLSX Pie chart slice moved back by LibreOffice Calc
Summary: FILESAVE XLSX Pie chart slice moved back by LibreOffice Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.1.0 target:6.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-30 15:41 UTC by Gabor Kelemen
Modified: 2018-01-17 08:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file made with Excel 2013 (18.68 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-11-30 15:41 UTC, Gabor Kelemen
Details
The example file saved by LO6 alpha (13.90 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-11-30 15:42 UTC, Gabor Kelemen
Details
The two files in Calc and Excel side by side (109.55 KB, image/png)
2017-11-30 15:42 UTC, Gabor Kelemen
Details
The original file and the one saved by current master build (264.30 KB, image/png)
2017-12-01 19:49 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-11-30 15:41:01 UTC
Created attachment 138149 [details]
Example file made with Excel 2013

If we create a Pie chart in Microsoft Office Excel and move out a pie slice, LibreOffice Calc will move automatically back the slice after we save as XLSX file and re-open it with LibreOffice Calc.

Steps to reproduce:
1. Create a new spreadsheet in Microsoft Excel.
2. Add values to a few cells in a column.
3. Select the cell range that contains the data.
4. Create a simple Pie chart in Microsoft Excel.
5. Move out a pie slice and than save the file.
5. Open the file in LibreOffice Calc and compare it with the original Excel spreadsheet.

Actual results:
The pie slice moved back to the default (not moved out) position.

Expected results:
The pie slice should stay in the original (moved out) position.
Comment 1 Gabor Kelemen 2017-11-30 15:42:01 UTC
Created attachment 138150 [details]
The example file saved by LO6 alpha
Comment 2 Gabor Kelemen 2017-11-30 15:42:19 UTC
Created attachment 138151 [details]
The two files in Calc and Excel side by side
Comment 3 Jacques Guilleron 2017-11-30 16:22:13 UTC
Hi Gabor,
I don't reproduce with
LO  6.0.0.0.beta1 Build ID: 97471ab4eb4db4c487195658631696bb3238656c
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : en-US (fr_FR); Calc: CL
Comment 4 Gabor Kelemen 2017-12-01 19:49:45 UTC
Created attachment 138171 [details]
The original file and the one saved by current master build

The problem persists. Opening the file is okay, but saving as XLSX and reopening moves back the pie slice.
Comment 5 Xisco Faulí 2017-12-01 21:44:56 UTC
Confirmed in

Version: 6.1.0.0.alpha0+
Build ID: 889c72a7e54f241342f42b1b0a05858902228cbc
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 6 Commit Notification 2017-12-29 00:34:58 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=629cfd2c1d3a43048fdb87853fa886b19105a786

export explosion property for pie chart property, tdf#114182

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-12-29 00:35:06 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38f5e768b0f858f8f990a8f297396821c75d45dc

add test for tdf#114182

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-01-17 08:58:29 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0387e8710dce75f98d3c6084fa69126a04d27f74&h=libreoffice-6-0

export explosion property for pie chart property, tdf#114182

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.